QT       += core gui network svg
TEMPLATE  = app
VERSION   = 0.4

# exec name
windows:TARGET = QMediaInfo
else:TARGET    = qmediainfo

SOURCES  += src/main.cpp \
            src/listwidget.cpp \
            src/qmediainfo.cpp

HEADERS  += src/listwidget.h \
            src/qmediainfo.h

FORMS    += src/qmediainfo.ui

RESOURCES   += icons.qrc
TRANSLATIONS = qmediainfo_ru.ts
CODECFORSRC  = UTF-8

# for .exe icon
windows:RC_FILE = icon.rc

unix {
  isEmpty(PREFIX):PREFIX = /usr

  INSTALLS        += target  \
                     desktop \
                     images  \
                     trans

  desktop.path       = $$PREFIX/share/applications
  desktop.files     += qmediainfo.desktop
  images.path        = $$PREFIX/share/icons/hicolor/scalable
  images.files      += mediainfo.svg
  trans.path         = $$PREFIX/share/qmediainfo
  trans.files       += qmediainfo_ru.qm
  target.path        = $$PREFIX/bin
}
